Get custom record
curl --request GET \
--url https://api.onvy.health/users/{user_id}/custom_records/{record_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onvy.health/users/{user_id}/custom_records/{record_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onvy.health/users/{user_id}/custom_records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_records_type_id": "<string>",
"data": {},
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"description": "<string>",
"attachments": [
{
"mime_type": "<string>",
"description": "<string>",
"data_base64": "<string>",
"data_url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}custom-records
Get custom record
Get a specific custom record by ID
GET
/
users
/
{user_id}
/
custom_records
/
{record_id}
Get custom record
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
User ID (e.g., google_104940819145861640201)
Custom record ID
Response
Custom record details
ID of the custom record type this record conforms to
Payload data matching the custom record type's JSON Schema
Custom record ID (ULID)
Optional file attachments associated with this record
Show child attributes
Show child attributes
Was this page helpful?